# variables bracketed @..@ replaced by the configure script
prefix=@prefix@
package=@PACKAGE@
version=@VERSION@
distdir=$(package)-$(version)
abs_top_builddir=@abs_top_builddir@
distfullpath=$(abs_top_builddir)/python/$(distdir)

all:
	swig -python -I../src iwave.i
	python setup.py build_ext -i
clean:
	rm -rf $(prefix)/python/build $(prefix)/python/iwave.{py,pyc} $(prefix)/python/_iwave.so $(prefix)/python/iwave_wrap.c

distclean:
	rm -f Makefile
	rm -f *~
	rm -rf build iwave.{py,pyc} _iwave.so iwave_wrap.c

install:
	test -z $(prefix)/python || mkdir -p $(prefix)/python
	cp iwave.py $(prefix)/python/.
	cp _iwave*.so $(prefix)/python/.
	cp iwave_static_test.py $(prefix)/python/.
	cp iwave_pll_test.py $(prefix)/python/.
	cp iwave_pll_array_test.py $(prefix)/python/.

distdir:
	test -z $(distfullpath) || mkdir -p $(distfullpath)
	cp Makefile.in $(distfullpath)/.
	cp iwave.i $(distfullpath)/.
	cp numpy.i $(distfullpath)/.
	cp iwave_static_test.py $(distfullpath)/.
	cp iwave_pll_test.py $(distfullpath)/.
	cp setup.py $(distfullpath)/.
	cp iwave_pll_array_test.py $(distfullpath)/.

